Write data to a file asynchronously

- « swoole_async_write

- swoole_clear_error »

- PHP Manual
- Swoole Functions
- Write data to a file asynchronously

# swoole_async_writefile

(PECL swoole >= 1.9.0)

swoole_async_writefile — Write data to a file asynchronously

### Description

swoole_async_writefile(
string `$filename`,
string `$content`,
callable `$callback` = ?,
int `$flags` = 0
): bool

### Parameters

`filename`

  The filename being written.

`content`

  The content writing to the file.

`callback`

`flags`

### Return Values

Returns `true` on success or `false` on failure.